package com.jasamedika.medifirst2000.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


	

import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.FakultasService;
import com.jasamedika.medifirst2000.util.CommonUtil;
import com.jasamedika.medifirst2000.entities.Fakultas;
import com.jasamedika.medifirst2000.vo.FakultasVO;
import com.jasamedika.medifirst2000.converter.BaseConverterImpl;
import com.jasamedika.medifirst2000.dao.FakultasDao;

/**
 * Implement class for FakultasService
 * 
 * @author Generator
 * @param <T>
 */
@Service("fakultasService")
public class FakultasServiceImpl extends BaseVoServiceImpl implements FakultasService 
{	
	@Autowired
	private BaseConverterImpl<FakultasVO,Fakultas>fakultasConverter;
	
	@Autowired
	private FakultasDao fakultasDao;

	
	
	@Override
	public Map<String, Object> saveFakultas(FakultasVO vo) {
		Map<String, Object> result = new HashMap<String, Object>();
		Fakultas model = new Fakultas();
		model = fakultasConverter.transferVOToModel(vo,model);
	
		Fakultas resultDomain = fakultasDao.save(model);
		if (CommonUtil.isNotNullOrEmpty(resultDomain)) {
			result.put("noRec", resultDomain.getNoRec());
		}

		return result;
	}
}